<?php get_header(); ?>
<section id="content">
	<div class="container_12">
		<div class="grid_9 cont_col" id="posts">

	<div class="smaller-title">
		<h1 class="category-title lower-case"><?php _e('You were looking for','phomedia'); ?>: <?php the_search_query(); ?></h1>
	</div>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<article>
									<div class="post-meta">
											<div class="post-meta-written">
												<?php the_time('F j, Y'); ?> <?php _e('at','phomedia'); ?> <?php the_time() ?>, <?php _e('by','phomedia'); ?> <?php the_author_posts_link() ?>
											</div>
											<div class="post-meta-taxonomy">
												 <?php the_category(', ') ?><br/>
												<?php if (the_tags(__('Tags: ','phomedia'), ', ', ' ')); ?>
											</div>
											<div class="post-meta-comments">
												<?php comments_popup_link(__('No Comments','phomedia'), __('1 Comment','phomedia'), __('% Comments','phomedia')); ?>
											</div>
									</div><!--.postMeta-->

									<div class="heading">
										<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark">
											<?php $title = the_title('','', false);  if ($title != '') echo $title; else echo "Article"; ?></a>
										</h2>
																				
									</div>
									
									
									<div class="post-content">
									<?php if ( has_post_thumbnail()) : ?>
										<?php echo '<figure class="thumb">'; the_post_thumbnail(array(520, 260)); echo '</figure>'; /* loades the post's featured thumbnail, requires Wordpress 3.0+ */ ?>
									<?php endif; ?>
										<?php the_content(__('Read more','phomedia'));?>
									</div>
									<div class="clear"></div>
								</article>
	<?php endwhile; else: ?>
	<div class="fance">
		<div class="no-results">
			<div class="heading">
				<h2><?php _e('No Results','phomedia'); ?></h2>
			</div>
			<div class="post-content">
				<p><?php _e('Please feel free try again!','phomedia'); ?></p>
			</div>
		</div><!--no-results-->
	</div>
	<?php endif; ?>

	<nav class="newer-older">
		<div class="older">
				<?php next_posts_link(__('<span>&laquo; Older Entries</span>','phomedia')) ?>
		</div><!--.older-->
		<div class="newer">
				<?php previous_posts_link(__('<span>Newer Entries &raquo;</span>','phomedia')) ?>
		</div><!--.older-->
	</nav><!--.oldernewer-->

</div><!-- #content -->
<div class="grid_3 side_col_right">
<?php get_sidebar(); ?>
</div>
		<div class="clear"></div>
	</div>	
</section>

<?php get_footer(); ?>
